Package it.ernytech.tdlib

## Class TdApi.EditMessageText

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.EditMessageText

Enclosing class:
  TdApi

    public static class TdApi.EditMessageText
    extends TdApi.Function

Edits the text of a message (or a text of a game message). Non-bot users can edit messages for a limited period of time. Returns the edited message after the edit is completed on the server side.

Returns `Message`

### Field Summary

Fields
`long` `chatId` The chat the message belongs to.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.InputMessageContent` `inputMessageContent` New text content of the message.
`long` `messageId` Identifier of the message.
`TdApi.ReplyMarkup` `replyMarkup` The new message reply markup; for bots only.

### Constructor Summary

Constructors
`EditMessageText()` Default constructor.
`EditMessageText​(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

The chat the message belongs to.

#### messageId

    public long messageId

Identifier of the message.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

The new message reply markup; for bots only.

#### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent

New text content of the message. Should be of type InputMessageText.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### EditMessageText

    public EditMessageText()

Default constructor.

#### EditMessageText

    public EditMessageText​(long chatId,
                           long messageId,
                           TdApi.ReplyMarkup replyMarkup,
                           TdApi.InputMessageContent inputMessageContent)

Constructor for initialization of all fields.

Parameters:
  `chatId` - The chat the message belongs to.
  `messageId` - Identifier of the message.
  `replyMarkup` - The new message reply markup; for bots only.
  `inputMessageContent` - New text content of the message. Should be of type InputMessageText.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR